﻿using DbContextLib;
using SharedEF;

namespace Model2Entities;

public partial class DbDataManager: IDataManager
{
    public IActivityRepository ActivityRepo { get; }
    public IUserRepository UserRepo { get; }
    
    protected HeartTrackContext DbContext { get; }

   
public DbDataManager(HeartTrackContext dbContext)
    {
        DbContext = dbContext;
        ActivityRepo = new ActivityRepository(this);
        UserRepo = new UserRepository(this);
    }

    public DbDataManager()
    {
        DbContext = new HeartTrackContext();
        ActivityRepo = new ActivityRepository(this);
        UserRepo= new UserRepository(this);
    }
    
}
